<?php
/**
 * Date: 17.09.17
 * Time: 15:17
 */

class sc_googleshortener extends cmsFrontend{

    protected $useOptions = true;

    public function short($src){
        $url = 'https://www.googleapis.com/urlshortener/v1/url?key='.$this->options['api_key'];
        $arr = array(
            'longUrl'=>$src
        );
        $ch = curl_init();
        curl_setopt($ch, CURLOPT_HTTPHEADER, array('Content-Type: application/json'));
        curl_setopt($ch, CURLOPT_URL, $url);
        curl_setopt($ch, CURLOPT_RETURNTRANSFER, 1);
        curl_setopt($ch, CURLOPT_POSTFIELDS, json_encode($arr));
        curl_setopt($ch, CURLOPT_POST, 1);
        $results = json_decode(curl_exec($ch));

        if (isset($results->id)){
            return $results->id;
        } else {
            return $src;
        }
    }

    public function actionIndex(){
        cmsCore::error404();
    }





}